hledger-lib-1.3: Core data types, parsers and functionality for the hledger accounting tools

Safe Haskell | None
Language | Haskell2010

Hledger.Data.MarketPrice

Description

A `MarketPrice` represents a historical exchange rate between two commodities. (Ledger calls them historical prices.) For example, prices published by a stock exchange or the foreign exchange market. Some commands (balance, currently) can use this information to show the market value of things at a given date.

Synopsis

- showMarketPrice :: MarketPrice -> String
- tests_Hledger_Data_MarketPrice :: Test

# Documentation

showMarketPrice :: MarketPrice -> String #

Get the string representation of an market price, based on its commodity's display settings.

tests_Hledger_Data_MarketPrice :: Test #